Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(45)  |  Call(45)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/mesh.py   rhinopython(Download)
    """
    mesh = Rhino.Geometry.Mesh()
    for a, b, c in vertices: mesh.Vertices.Add(a, b, c)
    for face in face_vertices:
        if len(face)<4:

src/l/a/ladybug-HEAD/src/Ladybug_Wind Rose.py   ladybug(Download)
                                        pt2 = centerFrqPts[crvNum][ptCount]
                                        pt3 = centerFrqPts[crvNum][ptCount + 1]
                                        singleMesh.Vertices.Add(pt1)
                                        singleMesh.Vertices.Add(pt2)
                                        singleMesh.Vertices.Add(pt3)
                                        pt3 = centerFrqPts[crvNum-1][ptCount + 1]
                                        pt4 = centerFrqPts[crvNum][ptCount + 1]
                                        singleMesh.Vertices.Add(pt1)
                                        singleMesh.Vertices.Add(pt2)
                                        singleMesh.Vertices.Add(pt3)

src/l/a/ladybug-HEAD/src/ladybug_ladybug.py   ladybug(Download)
 
            tempMesh = rc.Geometry.Mesh()
            tempMesh.Vertices.Add(rs.coerce3dpoint(cenPt)) #0
            tempMesh.Vertices.Add(rs.coerce3dpoint(rightPt)) #1
            tempMesh.Vertices.Add(rs.coerce3dpoint(arrowEndpt)) #2
            tempMesh.Vertices.Add(rs.coerce3dpoint(leftPt)) #3
                    # make mesh surface, calculate the area, dispose the mesh and mass area calculation
                    tempMesh = rc.Geometry.Mesh()
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].A]) #0
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].B]) #1
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].C]) #2

src/h/o/Honeybee-HEAD/src/Honeybee_Honeybee.py   Honeybee(Download)
    def collectMeshFaces(self, meshVertices, reverseList = False):
        mesh = rc.Geometry.Mesh()
        if meshVertices[3]!= meshVertices[4:]:
            mesh.Vertices.Add(meshVertices[1]) #0
            mesh.Vertices.Add(meshVertices[2]) #1
            mesh.Vertices.Add(meshVertices[3]) #2
            mesh.Vertices.Add(meshVertices[4]) #3
            else: mesh.Faces.AddFace(0, 1, 2, 3)
        else:
            mesh.Vertices.Add(meshVertices[1]) #0
            mesh.Vertices.Add(meshVertices[2]) #1
            mesh.Vertices.Add(meshVertices[3]) #2

src/l/a/ladybug-HEAD/src/Ladybug_Shadow Study.py   ladybug(Download)
                    # make mesh surface, calculate the area, dispose the mesh and mass area calculation
                    tempMesh = rc.Geometry.Mesh()
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].A]) #0
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].B]) #1
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].C]) #2
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].D]) #3

src/l/a/ladybug-HEAD/src/Ladybug_Radiation Calla Lily.py   ladybug(Download)
                            pt4 = pts[vStep][ptCount + 1]
                            value4 = radResult[vStep][ptCount + 1]
                            singleMesh.Vertices.Add(pt1)
                            singleMesh.Vertices.Add(pt2)
                            singleMesh.Vertices.Add(pt3)
                            singleMesh.Vertices.Add(pt4)

src/l/a/ladybug-HEAD/src/Ladybug_3D Chart.py   ladybug(Download)
                            mesh = rc.Geometry.Mesh()
                            for id in selVertices:
                                mesh.Vertices.Add(coloredChart.Vertices[id])
 
                            if len(selVertices) == 3:

src/h/o/Honeybee-HEAD/src/Honeybee_Generate Test Points.py   Honeybee(Download)
                    # make mesh surface, calculate the area, dispose the mesh and mass area calculation
                    tempMesh = rc.Geometry.Mesh()
                    tempMesh.Vertices.Add(inputMesh[i].Vertices[inputMesh[i].Faces[face].A]) #0
                    tempMesh.Vertices.Add(inputMesh[i].Vertices[inputMesh[i].Faces[face].B]) #1
                    tempMesh.Vertices.Add(inputMesh[i].Vertices[inputMesh[i].Faces[face].C]) #2
                    tempMesh.Vertices.Add(inputMesh[i].Vertices[inputMesh[i].Faces[face].D]) #3